Package org.apache.torque.generator.source

# Class ModelNodePointer

java.lang.Object
org.apache.commons.jxpath.ri.model.NodePointer
org.apache.commons.jxpath.ri.model.beans.PropertyOwnerPointer
org.apache.commons.jxpath.ri.model.beans.BeanPointer
org.apache.torque.generator.source.ModelNodePointer

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable`, `org.apache.commons.jxpath.Pointer`

public class ModelNodePointer extends org.apache.commons.jxpath.ri.model.beans.BeanPointer
A Pointer that points to a Java Object or a collection. It is either the first element of a path or a pointer for a property value.

Version:
  $Id: $
Author:
  Dmitri Plotnikov, Thomas Fox
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.apache.commons.jxpath.ri.model.NodePointer

  `index, locale, parent, UNKNOWN_NAMESPACE, WHOLE_COLLECTION`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ModelNodePointer(org.apache.commons.jxpath.ri.model.NodePointer parent, org.apache.commons.jxpath.ri.QName name, Object bean, org.apache.commons.jxpath.JXPathBeanInfo beanInfo, Class<?> beanClass)`
  Create a new BeanPointer.
  `ModelNodePointer(org.apache.commons.jxpath.ri.QName name, Object bean, org.apache.commons.jxpath.JXPathBeanInfo beanInfo, Class<?> beanClass, Locale locale)`
  Create a new BeanPointer.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object object)`
  `org.apache.commons.jxpath.ri.model.beans.PropertyPointer`
  `getPropertyPointer()`
  `int`
  `hashCode()`

  ### Methods inherited from class org.apache.commons.jxpath.ri.model.beans.BeanPointer

  `asPath, getBaseValue, getLength, getName, isCollection, isLeaf`

  ### Methods inherited from class org.apache.commons.jxpath.ri.model.beans.PropertyOwnerPointer

  `attributeIterator, childIterator, compareChildNodePointers, createNodeIterator, getImmediateNode, isDynamicPropertyDeclarationSupported, isValidProperty, remove, setIndex, setValue`

  ### Methods inherited from class org.apache.commons.jxpath.ri.model.NodePointer

  `clone, compareTo, createAttribute, createChild, createChild, createPath, createPath, escape, getAbstractFactory, getDefaultNamespaceURI, getImmediateParentPointer, getImmediateValuePointer, getIndex, getLocale, getNamespaceResolver, getNamespaceURI, getNamespaceURI, getNode, getNodeSetByKey, getNodeValue, getParent, getPointerByID, getPointerByKey, getRootNode, getValue, getValuePointer, isActual, isAttribute, isContainer, isDefaultNamespace, isLanguage, isNode, isRoot, namespaceIterator, namespacePointer, newChildNodePointer, newNodePointer, printPointerChain, setAttribute, setNamespaceResolver, testNode, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ModelNodePointer

    public ModelNodePointer(org.apache.commons.jxpath.ri.QName name, Object bean, org.apache.commons.jxpath.JXPathBeanInfo beanInfo, Class<?> beanClass, Locale locale)
    Create a new BeanPointer.
    Parameters:
      `name` - is the name given to the first node
      `bean` - pointed
      `beanInfo` - JXPathBeanInfo
      `beanClass` - the class of the bean
      `locale` - Locale

  - ### ModelNodePointer

    public ModelNodePointer(org.apache.commons.jxpath.ri.model.NodePointer parent, org.apache.commons.jxpath.ri.QName name, Object bean, org.apache.commons.jxpath.JXPathBeanInfo beanInfo, Class<?> beanClass)
    Create a new BeanPointer.
    Parameters:
      `parent` - pointer
      `name` - is the name given to the first node
      `bean` - pointed
      `beanInfo` - JXPathBeanInfo
      `beanClass` - the class of the bean

- ## Method Details

  - ### getPropertyPointer

    public org.apache.commons.jxpath.ri.model.beans.PropertyPointer getPropertyPointer()
    Overrides:
      `getPropertyPointer` in class `org.apache.commons.jxpath.ri.model.beans.BeanPointer`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `org.apache.commons.jxpath.ri.model.beans.BeanPointer`

  - ### equals

    public boolean equals(Object object)
    Overrides:
      `equals` in class `org.apache.commons.jxpath.ri.model.beans.BeanPointer`